GET /api/v3/channel/{channelId}/reading

Retrieves an array of readings

GetReadingsV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
channelId Specific Channel ID integer (int32) Required

Query Parameters

Name Description Type Required
beginDate The starting date of readings to return string (date-time) Optional
endDate The end date of readings to return string (date-time) Optional
originalValue If ’true’, returns the original observation value. If ‘false’ returns the computed observation value based on the channel type. NOTE: this parameter is no longer used and has been deprecated. boolean Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Readings
Property Description Type
channelId The Id of the Channel integer (int32)
readings Readings+Observation[]
Readings+Observation properties
Property Description Type
estimated Indicates if the reading is estimated Required (defined) boolean
note A note pertaining to the reading Required (defined) string
observationId The unique ID for the reading Required (defined) integer (int64)
rawValue The raw value of the reading (before multiplier or delta are applied) Required (defined) number (double)
time The date and time of the reading Required (defined) string (date-time)
value The raw or computed value of the reading Required (defined) number (double)
rule 1 = odometer, 2 = trip (to calculate delta) integer (int32)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "channelId": 1,  "readings": [
    {    "estimated": false,    "note": "string",    "observationId": 1,    "rawValue": 1.0,    "time": "2026-03-30",    "value": 1.0
  }
  ],  "rule": 1,  "unit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}